package eu.eudat.logic.security.customproviders.ConfigurableProvider.models;

import eu.eudat.logic.security.customproviders.ConfigurableProvider.entities.ConfigurableProvider;

public class ConfigurableProviderModel {

	private String configurableLoginId;
	private String name;
	private String clientId;
	private String redirect_uri;
	private String oauthUrl;
	private String scope;
	private String state;

	public String getConfigurableLoginId() {
		return configurableLoginId;
	}
	public void setConfigurableLoginId(String configurableLoginId) {
		this.configurableLoginId = configurableLoginId;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public String getClientId() {
		return clientId;
	}
	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getRedirect_uri() {
		return redirect_uri;
	}
	public void setRedirect_uri(String redirect_uri) {
		this.redirect_uri = redirect_uri;
	}

	public String getOauthUrl() {
		return oauthUrl;
	}
	public void setOauthUrl(String oauthUrl) {
		this.oauthUrl = oauthUrl;
	}

	public String getScope() {
		return scope;
	}
	public void setScope(String scope) {
		this.scope = scope;
	}

	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}

	public ConfigurableProviderModel fromDataModel(ConfigurableProvider entity) {
		ConfigurableProviderModel model = new ConfigurableProviderModel();
		model.setConfigurableLoginId(entity.getConfigurableLoginId());
		model.setName(entity.getName());
		model.setClientId(entity.getClientId());
		model.setRedirect_uri(entity.getRedirect_uri());
		model.setOauthUrl(entity.getOauthUrl());
		model.setScope(entity.getScope());
		model.setState(entity.getState());

		return model;
	}
}
