import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { CommonUiModule } from '@common/ui/common-ui.module';
import { CloneDialogComponent } from './clone-dialog.component';
import { AutoCompleteModule } from '@app/library/auto-complete/auto-complete.module';

@NgModule({
	imports: [CommonUiModule, FormsModule, ReactiveFormsModule, AutoCompleteModule],
	declarations: [CloneDialogComponent],
	exports: [CloneDialogComponent],
	entryComponents: [CloneDialogComponent]
})
export class CloneDialogModule {
	constructor() { }
}
